# AttemptCapturePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AttemptCapturePhase

#### Hierarchy (view full)

- PokemonPhase
  - AttemptCapturePhase

- Defined in src/phases.ts:4639

#####
Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
originalY
player
pokeball
pokeballType
scene

### Methods

catch
end
executeForAll
failCatch
getOrder
getPokemon
hideEnemyTrainer
removePb
showEnemyTrainer
start

## Constructors

### constructor

- new AttemptCapturePhase(scene, targetIndex, pokeballType): AttemptCapturePhase

- #### Parameters

  - scene: default
  - targetIndex: number
  - pokeballType: PokeballType

  #### Returns AttemptCapturePhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases.ts:4644

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases.ts:688

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases.ts:690

### `Private` originalY

originalY: number

- Defined in src/phases.ts:4642

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases.ts:689

### `Private` pokeball

pokeball: Sprite

- Defined in src/phases.ts:4641

### `Private` pokeballType

pokeballType: PokeballType

- Defined in src/phases.ts:4640

### `Protected` scene

scene: default

Inherited from PokemonPhase.scene

- Defined in src/phase.ts:4

## Methods

### catch

- catch(): void

- #### Returns void

  - Defined in src/phases.ts:4802

### end

- end(): void

- #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:17

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases.ts:681

### failCatch

- failCatch(shakeCount): void

- #### Parameters

  - shakeCount: number

  #### Returns void

  - Defined in src/phases.ts:4774

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from PokemonPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases.ts:704

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### removePb

- removePb(): void

- #### Returns void

  - Defined in src/phases.ts:4889

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases.ts:4650